# Command: testsuite::ticket-451

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::ticket-451 - Guard against infinte loops in Random*Connect

Synopsis:

    (ticket-451) run -> NEST exits if test fails

Description:

      Random connection routines can hang in infinite loops if the user request
      more connections than possible if restrictions on multapses and autapses
      are taken into account. This test ensures that such conditions are caught.

Author:

    Hans Ekkehard Plesser, 2010-09-20

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/testsuite/regressiontests/ticket-451.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative